#ifndef OMPUTILS
#define OMPUTILS

#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>
#include <math.h>

  typedef struct {
    int64_t x,y;
  } vec_2;

uint64_t magnitude(vec_2 a);
vec_2 scale_vec(vec_2 v, double l);
vec_2 add(vec_2 a, vec_2 b);
vec_2 neg(vec_2 a);
vec_2 minus(vec_2 a, vec_2 b);
vec_2 nullvector();
int64_t lin_dep(vec_2 a, vec_2 b);
void vec_print(FILE * f, vec_2 v, const char * label);

#endif
